> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Incoming Wires



## OpenAPI

````yaml api-reference/openapi-payments.json GET /incoming_wire
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Payments
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /incoming_wire:
    get:
      tags:
        - Incoming Wire
      summary: List Incoming Wires
      parameters:
        - description: ID of the Account receiving the transfer. Filterable.
          in: query
          name: account_id
          schema:
            type: string
        - description: >-
            ID of the organization with which the object is associated.
            Filterable.
          in: query
          name: org_id
          schema:
            type: string
        - description: >-
            One of `pending` `processing` `done` `failed`, or `returned`.
            Filterable.
          in: query
          name: status
          schema:
            type: string
        - description: ID of the associated transaction. Filterable.
          in: query
          name: transaction_id
          schema:
            type: string
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    data:
                      - account_id: acct_1234567890
                        amount: '1000.90'
                        bank_id: bank_treasuryprime
                        beneficiary:
                          address:
                            - 123 RAINBOW RD
                            - CITYNAME NY 12345
                          bank_data:
                            account_number: '210393290'
                            account_type: null
                            address:
                              - NEW YORK
                              - NY
                            bank_name: BANK NAME
                            routing_number: '123456789'
                          name: GEORGE WASHINGTON
                        created_at: '2023-08-23T14:28:02Z'
                        id: iw_11jec6341ss3nwa
                        imad:
                          parsed:
                            cycle_date: '2023-08-23T00:00:00Z'
                            input_sequence_number: '000015'
                            input_source: MMQFMP5F
                          unparsed: 20230823MMQFMP5F000015
                        org_id: org_fintech
                        originator:
                          address:
                            - 123 PINE ST
                            - NEW YORK NY 12345
                          bank_data:
                            account_number: '1092901990'
                            account_type: null
                            address:
                              - NEW YORK
                              - NY
                            bank_name: FINANCIAL INSTITUTION
                            routing_number: '123412341'
                          name: JOHN ADAMS
                        originator_to_beneficiary_info: INCWIRE10
                        received_at: '2023-08-23'
                        status: done
                        transaction_id: ttx_1234567890
                        updated_at: '2023-08-23T14:32:05Z'
                        wire_body:
                          bnf:
                            addr:
                              - 123 RAINBOW RD
                              - CITYNAME NY 12345
                            id: '210393290'
                            name: GEORGE WASHINGTON
                            type: X
                          bus_func_code: CTR
                          charge_amt: 0
                          credit_amt: 1000.9
                          curr: USD
                          irn: 202308230023344
                          obi:
                            - INCWIRE10
                          omad:
                            appl_id: FT03
                            cycle_date: '20230823'
                            date: '0823'
                            lterm: MMQFMPVH
                            omsn: '000016'
                            time: '1011'
                          org:
                            addr:
                              - 123 PINE ST
                              - NEW YORK NY 12345
                            id: '1092901990'
                            name: JOHN ADAMS
                            type: X
                          orig_amt: 1000.9
                          payment_date: 23-AUG-2023
                          rcv_bank:
                            addr:
                              - NEW YORK
                              - NY
                            id: '123456789'
                            name: BANK NAME
                            type: F
                          sender_imad:
                            cycle_date: '20230823'
                            imsn: '000015'
                            lterm: MMQFMP5F
                          snd_bank:
                            addr:
                              - NEW YORK
                              - NY
                            id: '123412341'
                            name: FINANCIAL INSTITUTION
                            type: F
                          subtype_code: '00'
                          type_code: '10'
                          value_date: 23-AUG-2023
              schema:
                properties:
                  data:
                    items:
                      properties:
                        account_id:
                          description: >-
                            ID of the Account receiving the transfer.
                            Filterable.
                          type: string
                        amount:
                          description: >-
                            Amount of money transferred, with two decimal
                            precision
                          pattern: ^[0-9]+[.][0-9][0-9]$
                          type: string
                        bank_id:
                          description: ID of the bank with which the object is associated
                          type: string
                        beneficiary:
                          description: >-
                            A sub-object containing information about the wire
                            beneficiary
                          properties:
                            address:
                              description: Wire Bank Address sub-object
                              items:
                                type: string
                              type: array
                            bank_data:
                              description: Bank details
                              properties:
                                account_number:
                                  description: Bank account number
                                  type: string
                                account_type:
                                  description: Account type
                                  type: string
                                address:
                                  description: Unparsed bank address data
                                  items:
                                    type: string
                                  type: array
                                bank_name:
                                  description: Name of the bank
                                  type: string
                                routing_number:
                                  description: >-
                                    Valid 9-digit ABA routing transit number
                                    associated with this bank
                                  type: string
                              type: object
                            name:
                              description: >-
                                Name of the intermediary bank (maximum of 35
                                characters)
                              type: string
                          type: object
                        id:
                          description: Unique identifier for object
                          type: string
                        imad:
                          description: An IMAD sub-object
                          properties:
                            parsed:
                              description: Parsed IMAD sub-object
                              properties:
                                cycle_date:
                                  description: Wire transfer date
                                  type: string
                                input_sequence_number:
                                  description: A 6 digit number assigned for uniqueness
                                  type: string
                                input_source:
                                  description: >-
                                    8 alphanumeric characters identifying the
                                    source
                                  type: string
                              type: object
                            unparsed:
                              description: >-
                                Input Message Accountability Data: a unique
                                number assigned to a wire transfer processed
                                through the Federal Reserve Bank’s
                                FedwireService
                              type: string
                          type: object
                        org_id:
                          description: >-
                            ID of the organization with which the object is
                            associated. Filterable.
                          type: string
                        originator:
                          description: >-
                            A sub-object containing information about the wire
                            originator
                          properties:
                            address:
                              description: Wire Bank Address sub-object
                              items:
                                type: string
                              type: array
                            bank_data:
                              description: Bank details
                              properties:
                                account_number:
                                  description: Bank account number
                                  type: string
                                account_type:
                                  description: Account type
                                  type: string
                                address:
                                  description: Unparsed bank address data
                                  items:
                                    type: string
                                  type: array
                                bank_name:
                                  description: Name of the bank
                                  type: string
                                routing_number:
                                  description: >-
                                    Valid 9-digit ABA routing transit number
                                    associated with this bank
                                  type: string
                              type: object
                            name:
                              description: >-
                                Name of the intermediary bank (maximum of 35
                                characters)
                              type: string
                          type: object
                        originator_to_beneficiary_info:
                          description: Optional additional information for the beneficiary
                          type: string
                        received_at:
                          description: Timestamp of when the object was received
                          type: string
                        status:
                          description: >-
                            One of `pending` `processing` `done` `failed`, or
                            `returned`. Filterable.
                          type: string
                        transaction_id:
                          description: ID of the associated transaction. Filterable.
                          type: string
                        wire_body:
                          description: Raw wire body
                          type: object
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` incoming_wire elements, starting after the incoming_wire
            described by `page_cursor`. If no more incoming_wires are available,
            the resulting list will be empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````